org.apache.ignite.internal.visor.node

## Class VisorNodeEventsCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Iterable<? extends VisorGridEvent>,Collection<? extends VisorGridEvent>>
  - - org.apache.ignite.internal.visor.node.VisorNodeEventsCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg>,Iterable<? extends VisorGridEvent>>

    @GridInternal
    public class VisorNodeEventsCollectorTask
    extends VisorMultiNodeTask<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Iterable<? extends VisorGridEvent>,Collection<? extends VisorGridEvent>>

Task that runs on specified node and returns events data.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected static class` `VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob` Job for task returns events data.
`static class` `VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg` Argument for task returns events data.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeEventsCollectorTask()`

### Method Summary

Methods
`protected VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob` `job(VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg arg)`
`protected Iterable<? extends VisorGridEvent>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeEventsCollectorTask

    public VisorNodeEventsCollectorTask()

### Method Detail

#### job

    protected VisorNodeEventsCollectorTask.VisorNodeEventsCollectorJob job(VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Iterable<? extends VisorGridEvent>,Collection<? extends VisorGridEvent>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    protected Iterable<? extends VisorGridEvent> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorNodeEventsCollectorTask.VisorNodeEventsCollectorTaskArg,Iterable<? extends VisorGridEvent>,Collection<? extends VisorGridEvent>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015